View Issue Details

IDProjectCategoryLast Update
0020339AI War 2[All Projects] Gameplay IssueApr 20, 2019 4:19 pm
ReporterOvalcircleAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.774 Five Thousand Days 
Fixed in VersionBETA 0.850 The Arrival of Fleets 
Summary0020339: AI switches targeting between Home command station and Home forcefield generator
DescriptionThey take a few shots at my Home command station, travel to my Shield generator, take a few shots at that, go back to my home command station, etc. This continues on until one of them has been destroyed
TagsNo tags attached.

Activities

Ovalcircle

Sep 24, 2018 8:39 pm

reporter  

20180924203413_1.jpg (144,646 bytes)
20180924203413_1.jpg (144,646 bytes)
Indecisive AI.savemet (57 bytes)
Indecisive AI.save (188,105 bytes)
20180924203409_1.jpg (144,507 bytes)
20180924203409_1.jpg (144,507 bytes)
20180924203019_1.jpg (157,564 bytes)
20180924203019_1.jpg (157,564 bytes)

HeartHunter7

Sep 25, 2018 2:51 am

reporter   ~0049452

I had about situation.

x4000Bughunter

Oct 2, 2018 7:16 pm

administrator   ~0049704

Can you let me know if this still happens in the next build, 0.778? This may have been the orders-craziness bug.

RocketAssistedPuffin

Oct 2, 2018 7:22 pm

developer   ~0049713

Related - Targeting seems a little off again, and the debug tracing doesn't report anything at all in log. Things like Ambush turrets overkilling severely.

This is more of a decision thing than a bug I think - is the AI ever going to bumrush the Command Station and try to kill it like Classic, or is it preferred that it try to fight all the turrets? It always does the second right now and kind of just leaves after a while. Is it meant to do that by targeting priority?

x4000Bughunter

Oct 3, 2018 10:08 am

administrator   ~0049735

The overkilling is definitely not intentional. The decision to sometimes bumrush... yeah, they are supposed to do that, but the targeting priorities aren't something that would handle that right now. I should add that.

x4000Bughunter

Apr 20, 2019 4:19 pm

administrator   ~0051227

Badger probably fixed this, but please let us know if you see it again. Thanks!

Issue History

Date Modified Username Field Change
Sep 24, 2018 8:39 pm Ovalcircle New Issue
Sep 24, 2018 8:39 pm Ovalcircle File Added: 20180924203413_1.jpg
Sep 24, 2018 8:39 pm Ovalcircle File Added: 20180924203019_1.jpg
Sep 24, 2018 8:39 pm Ovalcircle File Added: 20180924203409_1.jpg
Sep 24, 2018 8:39 pm Ovalcircle File Added: Indecisive AI.savemet
Sep 24, 2018 8:39 pm Ovalcircle File Added: Indecisive AI.save
Sep 25, 2018 2:51 am HeartHunter7 Note Added: 0049452
Oct 2, 2018 7:16 pm x4000Bughunter Assigned To => x4000Bughunter
Oct 2, 2018 7:16 pm x4000Bughunter Status new => feedback
Oct 2, 2018 7:16 pm x4000Bughunter Note Added: 0049704
Oct 2, 2018 7:22 pm RocketAssistedPuffin Note Added: 0049713
Oct 3, 2018 10:08 am x4000Bughunter Note Added: 0049735
Apr 20, 2019 4:19 pm x4000Bughunter Assigned To x4000Bughunter => BadgerBadger
Apr 20, 2019 4:19 pm x4000Bughunter Status feedback => resolved
Apr 20, 2019 4:19 pm x4000Bughunter Resolution open => fixed
Apr 20, 2019 4:19 pm x4000Bughunter Fixed in Version => BETA 0.850 The Arrival of Fleets
Apr 20, 2019 4:19 pm x4000Bughunter Note Added: 0051227